
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  annotations:
    description: "Allow reading receiver-job-definitions configMap"
    rbac.authorization.kubernetes.io/autoupdate: "true"
  name: read-jobs-configmap
  labels:
    name: "prometheus-webhook-receiver"
    namespace: "{{ .Values.prometheusNamespace }}"
rules:
- resources:
  - configmaps
  apiGroups: [""]
  resourceNames:
  - "receiver-job-definitions"
  verbs:
  - get
  - list

---

apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  annotations:
    description: "Allow reading receiver-job-definitions configMap"
    rbac.authorization.kubernetes.io/autoupdate: "true"
  name: receiver-job-definitions-viewers-{{ .Values.targetNamespace }}
subjects:
- kind: ServiceAccount
  name: {{ .Release.Name }}-prometheus-webhook-receiver
  namespace: "{{ .Values.targetNamespace }}"
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: read-jobs-configmap
  namespace: "{{ .Values.prometheusNamespace }}"



